IdealComparator.cpp File Reference
`#include "stdinc.h"`
`#include "IdealComparator.h"`
`#include "BigIdeal.h"`
`#include "Ideal.h"`
`#include "TermTranslator.h"`
`#include "TermPredicate.h"`
`#include "Term.h"`

Go to the source code of this file.

## Namespaces

namespace | IdealComparatorHelpers

## Functions

template<class MyIdeal, class MyTermCompare>
bool | IdealComparatorHelpers::idealLessThanImpl (const MyIdeal &a, const MyIdeal &b, const MyTermCompare &predicate)
bool | IdealComparatorHelpers::idealLessThan (const BigIdeal &a, const BigIdeal &b)
bool | IdealComparatorHelpers::idealLessThan (const Ideal &a, const Ideal &b)
bool | IdealComparatorHelpers::idealLessThan (const Ideal &a, const Ideal &b, TermTranslator &translator)